user/perl-app-licensecheck: upgrade to 3.0.44

parent 715748b1
......@@ -5,18 +5,21 @@ _pkgreal=App-Licensecheck
_author=JONASS
_au=${_author%%"${_author#??}"}
_a=${_author%%"${_author#?}"}
pkgver=3.0.37
pkgver=3.0.44
pkgrel=0
pkgdesc="Perl library and utility for checking source-file licensing"
url="https://metacpan.org/release/App-Licensecheck"
arch="noarch"
license="GPL-3.0+"
depends="perl perl-getopt-long-descriptive perl-moo perl-namespace-clean
perl-path-iterator-rule perl-path-tiny perl-pod-constants
perl-regexp-pattern perl-regexp-pattern-license perl-software-license
perl-sort-key perl-strictures perl-string-copyright perl-string-escape
perl-test-requires perl-test-script perl-try-tiny
perl-universal-require"
depends="perl perl-array-intspan perl-encode-locale
perl-getopt-long-descriptive perl-list-someutils perl-log-any
perl-log-any-adapter-screen perl-moo perl-moox-struct
perl-namespace-clean perl-path-iterator-rule perl-path-tiny
perl-pod-constants perl-regexp-pattern>=0.2.12 perl-regexp-pattern-license>=3.1.102
perl-re-engine-re2 perl-software-license perl-sort-key perl-strictures
perl-string-copyright perl-string-escape perl-test-requires
perl-test-script perl-try-tiny perl-universal-require"
checkdepends="perl-test-command-simple"
makedepends="perl-dev"
subpackages="$pkgname-doc"
source="https://cpan.metacpan.org/authors/id/$_a/$_au/$_author/$_pkgreal-v$pkgver.tar.gz"
......@@ -36,4 +39,4 @@ package() {
find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
}
sha512sums="6053ff06162ca651cd365e8a8049d48ed0deb2dd4ec7fae5fed8e6855f5cce7310099b47cfd1ddf79ef2cecb24eea28cc90247ed3d0220589c8185ef111d45ed App-Licensecheck-v3.0.37.tar.gz"
sha512sums="3a1fa510c8e103f6ac7cc5507ab63258e59b01181ba5bbb38345526eb73eaa547cbca36e5b0c12a4a60186d133a31060b17a1aba84e0a82c05917a8793a512d3 App-Licensecheck-v3.0.44.tar.gz"
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment